# $Revision: 1.184 $, $Date: 2010/06/29 22:42:11 $
%bcond_without	tests
Summary:	PNG library
Summary(de.UTF-8):	PNG-Library
Summary(es.UTF-8):	Biblioteca PNG
Summary(fr.UTF-8):	Librarie PNG
Summary(pl.UTF-8):	Biblioteka PNG
Summary(pt_BR.UTF-8):	Biblioteca PNG
Summary(tr.UTF-8):	PNG kitaplığı
Name:		libpng
Version:	1.4.3
Release:	1
Epoch:		2
License:	distributable
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libpng/%{name}-%{version}.tar.xz
# Source0-md5:	322e2e0c0dea7a374ce6e60d9a72e604
Patch0:		%{name}-pngminus.patch
# http://littlesvr.ca/apng/diff/%{name}-%{version}-apng.patch | dos2unix
Patch1:		%{name}-apng.patch
URL:		http://www.libpng.org/pub/png/libpng.html
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz >= 1:4.999.7
BuildRequires:	zlib-devel
Provides:	libpng(APNG) = 0.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PNG library is a collection of routines used to create and
manipulate PNG format graphics files. The PNG format was designed as a
replacement for GIF, with many improvements and extensions.

%description -l de.UTF-8
Die PNG-Library ist eine Sammlung von Routinen zum Erstellen und
Bearbeiten von Grafiken im PNG-Format. Das PNG-Format wurde als Ersatz
für GIF entwickelt und enthält viele Verbesserungen und Erweiterungen.

%description -l es.UTF-8
Esta biblioteca es una colección de rutinas para crear y manipular
archivos gráficos en el formato PNG. Este formato fue proyectado para
substituir el

%description -l fr.UTF-8
La librairie PNG est un ensemble de routines utilisées pour créer et
manipuler des fichiers graphiques au format PNG. Le format PNG a été
élaboré pour remplacer le GIF, avec de nombreuses améliorations et
extensions.

%description -l pl.UTF-8
Biblioteki PNG są kolekcją form używanych do tworzenia i manipulowania
plikami w formacie graficznym PNG. Format ten został stworzony jako
zamiennik dla formatu GIF, z wieloma rozszerzeniami i nowościami.

%description -l pt_BR.UTF-8
Esta biblioteca é uma coleção de rotinas para criar e manipular
arquivos gráficos no formato PNG. Este formato foi projetado para
substituir o formato GIF, com extensões e melhorias.

%description -l tr.UTF-8
PNG kitaplığı, PNG formatındaki resim dosyalarını işlemeye yönelik
yordamları içerir. PNG, GIF formatının yerini almak üzere tasarlanmış
bir resim formatıdır.

%package devel
Summary:	Header files for libpng
Summary(de.UTF-8):	libpng Headers
Summary(es.UTF-8):	Archivos de inclusión y bibliotecas estáticas
Summary(fr.UTF-8):	en-têtes et bibliothèques statiques
Summary(pl.UTF-8):	Pliki nagłówkowe libpng
Summary(pt_BR.UTF-8):	Arquivos de inclusão e bibliotecas estáticas
Summary(tr.UTF-8):	başlık dosyaları ve statik kitaplıklar
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	zlib-devel
Provides:	libpng(APNG)-devel = 0.10
Conflicts:	libpng < 1.0.15

%description devel
The header files are only needed for development of programs using the
PNG library.

%description devel -l de.UTF-8
Die Header-Dateien werden nur zur Entwicklung von Programmen mit der
PNG-Library benötigt.

%description devel -l es.UTF-8
Archivos de inclusión y bibliotecas estáticas que son necesarios
solamente para el desarrollo de programas que usan la biblioteca PNG.

%description devel -l fr.UTF-8
Fichiers d'en-tete et les librairies qui sont requis seulement pour le
développement avec la librairie PNG.

%description devel -l pl.UTF-8
W pakiecie tym znajdują się pliki nagłówkowe, przeznaczone dla
programistów używających bibliotek PNG.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão e bibliotecas estáticas que são necessários
somente para o desenvolvimento de programas que usam a biblioteca PNG.

%description devel -l tr.UTF-8
PNG kitaplığını kullanan programlar geliştirmek için gereken
kitaplıklar ve başlık dosyaları.

%package static
Summary:	Static PNG library
Summary(de.UTF-8):	Statisch PNG Library
Summary(pl.UTF-8):	Biblioteka statyczna PNG
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com libpng
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	libpng(APNG)-static = 0.10

%description static
Static PNG library.

%description static -l de.UTF-8
Statisch PNG Library.

%description static -l pl.UTF-8
Biblioteka statyczna PNG.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com libpng.

%package progs
Summary:	libpng utility programs
Summary(pl.UTF-8):	Narzędzia do plików PNG
Group:		Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description progs
This package contains utility programs to convert PNG files to and
from PNM files.

%description progs -l pl.UTF-8
Narzędzia do konwersji plików PNG z lub do plików PNM.

%prep
%setup -q -c -T
xzcat -dc %{SOURCE0} | tar xf - -C ..
%patch0 -p1
%patch1 -p0

%build
%configure
%{__make}

%{__make} -C contrib/pngminus -f makefile.std \
	LIBPATH=%{_libdir} \
	CC="%{__cc}" \
	OPT_FLAGS="%{rpmcppflags} %{rpmcflags}"

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install contrib/pngminus/{png2pnm,pnm2png} $RPM_BUILD_ROOT%{_bindir}
install example.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ANNOUNCE CHANGES LICENSE README TODO
%attr(755,root,root) %{_libdir}/libpng14.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpng14.so.14

%files devel
%defattr(644,root,root,755)
%doc libpng-%{version}.txt
%attr(755,root,root) %{_bindir}/libpng14-config
%attr(755,root,root) %{_bindir}/libpng-config
%attr(755,root,root) %{_libdir}/libpng14.so
%attr(755,root,root) %{_libdir}/libpng.so
%{_libdir}/libpng14.la
%{_libdir}/libpng.la
%{_pkgconfigdir}/libpng14.pc
%{_pkgconfigdir}/libpng.pc
%{_includedir}/libpng14
%{_includedir}/png*.h
%{_mandir}/man3/libpng.3*
%{_mandir}/man3/libpngpf.3*
%{_mandir}/man5/png.5*
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libpng14.a
%{_libdir}/libpng.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/png2pnm
%attr(755,root,root) %{_bindir}/pnm2png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libpng.spec,v $
Revision 1.184  2010/06/29 22:42:11  charles
- up to 1.4.3
  [fixes  CVE-2010-1205]

Revision 1.183  2010/06/02 12:30:45  sparky
- added tar BR

Revision 1.182  2010/05/08 08:09:58  qboosh
- updated to 1.4.2
- dropped outdated read-dither patch (reenabled upstream, but now under quantize name)

Revision 1.181  2010/03/01 21:34:29  arekm
- up to 1.4.1

Revision 1.180  2010/02/05 21:40:55  arekm
- run test suite

Revision 1.179  2010/01/29 22:43:07  arekm
- rel 2; enable read dither

Revision 1.178  2010/01/28 10:22:59  arekm
- rel 1

Revision 1.177  2010/01/28 09:48:16  arekm
- move 1.4 from DEVEL; 1.2 at libpng12.spec

Revision 1.175.2.2  2010/01/15 15:59:40  qboosh
- single library

Revision 1.175.2.1  2010/01/10 19:14:16  qboosh
- updated to 1.4.0
- switched to ac/am
- updated apng,pngminus patches; removed obsolete opt,norpath,export_old,revert patches
- release 0.1 (to be moved to HEAD after testing and copying libpng 1.2.x to libpng12.spec)

Revision 1.175  2010/01/10 09:14:31  qboosh
- updated to 1.2.42

Revision 1.174  2009/12/04 14:03:48  glen
- updated apng patch from http://vdubapngmod.sourceforge.net/

Revision 1.173  2009/12/04 13:09:33  gotar
- updated APNG patch, rel. 1

Revision 1.172  2009/12/04 12:24:36  glen
- just not commenting out patch is ok too

Revision 1.171  2009/12/04 12:23:57  glen
- you MAY NOT flip-flop functionality and even leave bogus Provides on. add blocker for accidental stbr

Revision 1.170  2009/12/04 09:44:41  lisu
- up to 1.2.41
- patches updated (except apng.patch, which is not ready yet)

Revision 1.169  2009/09/18 21:12:08  qboosh
- fixed build with recent xz (use xzcat)

Revision 1.168  2009/09/18 20:47:31  charles
- updated to 1.2.40
- BR xz instead of lzma

Revision 1.167  2009/07/19 16:40:42  charles
- updated to 1.2.38

Revision 1.166  2009/06/18 08:48:26  lisu
- up to 1.2.37
- patches updated

Revision 1.165  2009/02/27 11:25:36  glen
- release 2

Revision 1.164  2009/02/20 13:27:44  adamg
- cve entry for 1.2.35

Revision 1.163  2009/02/20 10:04:59  arekm
- up to 1.2.35
  [fixes CVE-2009-0040]

Revision 1.162  2008/12/21 13:11:28  arekm
- up to 1.2.34

Revision 1.161  2008/11/11 08:26:04  glen
- release 2

Revision 1.160  2008/11/03 09:46:20  blues
- security note

Revision 1.159  2008/11/01 10:42:18  qboosh
- updated to 1.2.33 [Fix potential memory leak in png_handle_tXTt()]

Revision 1.158  2008/09/19 18:32:46  qboosh
- CVE note

Revision 1.157  2008/09/19 06:39:02  paszczus
- updated to 1.2.32
[fixes CVE-2008-3964]

Revision 1.156  2008/08/23 08:10:10  qboosh
- updated to 1.2.31
- updated opt,apng patches

Revision 1.155  2008/05/11 13:42:40  lisu
- 1.2.29

Revision 1.154  2008-05-04 16:58:41  lisu
- 1.2.28

Revision 1.153  2008-05-03 13:37:40  adamg
- release 2 (rel. 1 is for Ac)

Revision 1.152  2008-05-03 13:33:30  adamg
- updated to 1.2.27

Revision 1.151  2008-04-15 01:02:27  glen
- release 3

Revision 1.150  2008-04-14 19:24:11  megabajt
- added -cve.patch, CVE-2008-1382, launchpad#217345
- moved note about bugfix from revision 1.148

Revision 1.149  2008-04-14 18:25:43  glen
- release 2 (1 for ac)

Revision 1.148  2008-04-14 18:25:25  glen
- updated to 1.2.26

Revision 1.147  2008-04-14 18:17:27  glen
- apng patch updated to 1.2.15

Revision 1.146  2008-03-08 14:59:54  qboosh
- updated to 1.2.25
- use lzma source

Revision 1.145  2008-02-13 11:46:22  glen
- add APNG support; rel 3

Revision 1.144  2007-12-26 13:59:59  glen
- rel 2

Revision 1.143  2007-12-16 17:49:11  adamg
- updated to 1.2.24

Revision 1.142  2007-12-14 19:12:29  qboosh
- updated pngminus patch to use shared libpng
- -progs R: base now
- release 2

Revision 1.141  2007-11-14 21:58:28  lisu
- 1.2.23

Revision 1.140  2007-10-14 10:15:33  lisu
- 1.2.22

Revision 1.139  2007/10/12 21:14:45  megabajt
- CVE reference for rel 1.137

Revision 1.138  2007/10/08 18:11:29  lisu
- really remove -libdirfix.patch

Revision 1.137  2007/10/08 18:06:59  lisu
- 1.2.21 [fixes CVE-2007-5268, CVE-2007-5269 ]
- -libdirfix.patch is obsolete

Revision 1.136  2007/09/08 23:35:05  adamg
- updated to 1.2.20

Revision 1.135  2007/08/26 20:38:26  qboosh
- +sparcv9

Revision 1.134  2007/08/26 20:34:49  tommat
- no mmx on sparc, builds now

Revision 1.133  2007/08/19 09:39:58  lisu
- 1.2.19
- -const.patch no longer needed

Revision 1.132  2007/05/19 08:10:51  qboosh
- added const patch

Revision 1.131  2007/05/19 07:59:48  qboosh
- CVE reference

Revision 1.130  2007/05/18 23:56:25  shadzik
- 1.2.18

Revision 1.129  2007/05/18 23:55:44  shadzik
- 1.2.17 [fixes CVE-2007-2445]

Revision 1.128  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.127  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.126  2007/01/31 19:24:29  qboosh
- package ldconfig-maintained soname symlink as ghost
- more verbose files

Revision 1.125  2007/01/31 16:59:16  shadzik
- 1.2.16

Revision 1.124  2007/01/16 16:05:56  shadzik
- mv it to main package
- rel 2.1

Revision 1.123  2007/01/16 15:37:29  shadzik
- package .so.0 symlink explicitly
- rel 2

Revision 1.122  2007/01/06 18:48:28  qboosh
- simplified prep

Revision 1.121  2007/01/06 12:37:34  lisu
- 1.2.15

Revision 1.120  2006/12/26 22:53:05  lisu
- 1.2.15rc3

Revision 1.119  2006/12/19 05:57:30  shadzik
- 1.2.15rc1

Revision 1.118  2006/11/28 11:57:35  rotom
- up to 1.2.14

Revision 1.117  2006/11/17 05:49:20  qboosh
- added CVE reference to previous changelog entry

Revision 1.116  2006/11/16 15:55:10  lisu
- up to 1.2.13
[fixes CVE-2006-5793]

Revision 1.115  2006/09/20 10:43:48  deejay1
- properly reverted changes

Revision 1.114  2006/08/08 15:39:23  freetz
- removed hack^H^H^trash

Revision 1.113  2006/08/07 20:50:57  aredridel
- add temporary hack to let libtool-expecting apps link with libpng

Revision 1.112  2006/07/25 05:54:42  glen
- truncate non-cvs changelog

Revision 1.111  2006/07/21 08:21:59  qboosh
- release 2, added CVE note for 1.2.12

Revision 1.110  2006/07/01 11:23:09  qboosh
- note about ac/am/lt in upcoming 1.4.x series

Revision 1.109  2006/06/30 11:06:49  pluto
- release 1.1.

Revision 1.108  2006/06/29 08:17:27  qboosh
- updated revert patch is back

Revision 1.107  2006/06/28 17:29:45  adamg
- updated to 1.2.12
  [fixes CVE-2006-3334]

Revision 1.106  2006/05/19 22:33:30  qboosh
- for libpng 1.2.x stick to old, custom makefiles instead of ac/am
  to keep old versioning scheme and libpng.so.3 a symlink instead of copy
- disable mmx code on x86-64, builds now
- release 3

Revision 1.105  2006/05/14 18:53:05  pluto
- reexport old symbols, release 2.

Revision 1.104  2006/05/11 16:59:47  qboosh
- libpng.so.3.* is just a symlink to libpng12.so.0.*, so libpng.so.3 must be packaged

Revision 1.103  2006/05/01 16:04:22  pluto
- builds on x86-64.
- libpng.so.3 removed from files (it's genereted by ldconfig).

Revision 1.102  2006/04/24 08:45:09  adamg
- updated to 1.2.10

Revision 1.101  2006/04/17 00:24:05  qboosh
- updated to 1.2.9
- updated revert,norpath,libdirfix patches, removed outdated badchunks patch

Revision 1.100  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.99  2005/03/26 23:28:59  mmazur
- rel 2 for th

Revision 1.98  2005/02/24 20:33:09  pluto
- allow to use libpng with precompiled headers.

Revision 1.97  2004/12/04 15:30:24  qboosh
- updated to 1.2.8 (further size checking fixes, alpha stripping fixed)
- removed obsolete alpha patch

Revision 1.96  2004/10/13 14:37:42  qboosh
- added alpha patch (fix alpha channel stripping bug introduced in 1.2.7)
- release 2

Revision 1.95  2004/09/12 09:21:29  adamg
- updated to 1.2.7

Revision 1.94  2004/08/23 19:19:21  qboosh
- final 1.2.6 at last

Revision 1.93  2004/08/09 14:42:28  arekm
- updated to rc2 which works, previous version (even with irowbytes wasn't working for me)

Revision 1.92  2004/08/07 12:03:01  qboosh
- added irowbytes patch (seems to fix bug in processing interlaced images in push mode)
- removed obsolete pngerror patch, release .2

Revision 1.91  2004/08/05 06:41:52  hawk
- dl.sourceforge.net broken again

Revision 1.90  2004/08/04 19:50:37  radek
- (SECURITY) update to 1.2.6rc1; CAN-2004-0597 CAN-2004-0598 CAN-2004-0599
- removed -16bit-overflow.patch and -clobber_list.patch (both applied)
- commented out -pngerror.patch; it needs an update

Revision 1.89  2004/07/11 14:25:14  qboosh
- use (64bit)-aware libpng.so.3 Provides

Revision 1.88  2004/07/08 11:53:12  qboosh
- updated 16bit-overflow patch (CAN-2002-1363) to handle grayscale case too; release .6

Revision 1.87  2004/05/04 23:47:29  adgor
- Added pngerror.patch (CAN-2004-0421) sent by Paweł Nogas
- Release 0.beta2.5

Revision 1.86  2004/03/01 14:24:30  pluto
- cosmetics.
- updated clobber patch (thx. qboosh).

Revision 1.85  2004/03/01 14:00:08  pluto
- strict deps.
- ebx removed from clobber list.
  (gcc 3.4 reports error: "PIC register `ebx' clobbered in `asm'",
   but #ifdef __PIC__ push/pop ebx #endif saves ebx)

Revision 1.84  2003/12/26 21:14:55  grzegol
- fixed libdirfix patch; rel. 0.%{_pre}.4

Revision 1.83  2003/12/18 22:46:36  arekm
- pass libdir at make call (final amd64 fix)

Revision 1.82  2003/12/18 22:43:47  arekm
- fix libdir name; rel .3

Revision 1.81  2003/08/25 22:39:26  mmazur
- rel 0.beta2.2 for ac

Revision 1.80  2003/08/03 19:26:15  grzegol
- updated to 1.2.6beta2
- added example.c

Revision 1.79  2003/07/01 13:53:42  areq
- Release:        3

Revision 1.78  2003/06/23 20:13:50  jareq
- fixed epoch:version issue

Revision 1.77  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.76  2003/05/25 05:49:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.75  2003/04/21 01:10:49  qboosh
- added norpath to kill -rpaths (mainly from libpng-config - they were
  propagated to other packages)
- killed fake es translations
- release 2

Revision 1.74  2003/04/20 10:47:57  qboosh
- use http for sourceforge

Revision 1.73  2003/04/10 17:25:36  wolf
- missing LICENSE

Revision 1.72  2003/01/30 12:50:49  qboosh
- -devel Conflicts with old Ra package

Revision 1.71  2003/01/09 15:33:45  qboosh
- added 16bit-overflow patch - fix from Debian for bug in 16-bit depth images
  handling that could cause security problems
- release 1

Revision 1.70  2002/10/18 20:53:05  malekith
- tmp hack: added provides: libpng.so.3, as previous version had this
  soname, and was binary identical otherwise (find-provides look at
  SONAME which is different now...)
- release 0.3

Revision 1.69  2002/10/11 23:42:09  qboosh
- argh, reverted two stupid ideas: removing "-lz -lm" from libpng linking and
  installing two separate copies of identical code with different SONAME
  (revert patch)
- release 0.2

Revision 1.68  2002/10/07 10:33:06  wiget
- enable mmx only on IA32

Revision 1.67  2002/10/07 09:53:18  wiget
- updated to 1.2.5 and enabled MMX support (but need testing on MMX-less machines)

Revision 1.66  2002/08/17 22:30:03  qboosh
- fixed prefix in libpng-config and libpng.pc; release 2

Revision 1.65  2002/07/08 14:56:12  wiget
- updated to 1.2.4 (bugfix release)

Revision 1.64  2002/05/23 08:43:53  wiget
- Epoch: 2 is back.
- pioklo, don't decrement Epoch:, please.

Revision 1.63  2002/05/22 22:14:48  qboosh
- removed obsolete symlinks patch
- moved libpng*-config to -devel
- fixed DESTDIR handling (with previous workarounds libpng-config was broken)

Revision 1.62  2002/05/22 17:48:38  pioklo
- update to 1.2.3
- use new %doc
- STBR

Revision 1.61  2002/04/18 10:09:04  wiget
- fix libpng12.pc

Revision 1.60  2002/04/16 14:32:20  wiget
- ldconfig removes libpng.so.3 :(

Revision 1.59  2002/04/16 14:16:18  wiget
- updated to 1.2.2

Revision 1.58  2002/03/30 23:53:46  agaran
- typo

Revision 1.57  2002/03/30 22:44:20  agaran
- added zlib-devel to buildreq

Revision 1.56  2002/03/13 10:48:43  misiek
- updated to 1.2.1

Revision 1.55  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.54  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.53  2002/01/18 02:13:41  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.52  2001/11/21 02:28:15  kloczek
- merge translations from CNV.

Revision 1.51  2001/11/14 08:38:38  filon
- moved png.5 manpage to devel subpkg, to allow coexisting with libpng1.0x
- release 2

Revision 1.50  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.49  2001/09/02 10:58:32  qboosh
- opt patch is back! (updated)
- try to clean summaries/descriptions (not complete - I don't know fr,tr)
  WARNING: SONAME has changed!
  some binary-only packages (e.g. opera) require libpng 1.0.x

Revision 1.48  2001/09/01 20:01:54  areq
- 1.2.0, STBR

Revision 1.47  2001/06/10 14:32:13  kloczek
- updated to 1.0.12.

Revision 1.46  2001/05/07 16:19:18  kloczek
- release 3.

Revision 1.45  2001/04/30 16:05:21  kloczek
- added using %{rpmcflags} macro.

Revision 1.44  2001/04/28 03:27:22  kloczek
- updated to 1.0.11,
- new Source url.

Revision 1.43  2001/03/31 22:58:54  misiek
- 1.0.10; stb

Revision 1.42  2001/02/23 04:49:09  kloczek
- release 3: new badchunks patch from SuSe 7.0 is back.

Revision 1.41  2001/02/06 04:04:17  kloczek
- release 2: added zlib-devel to Requires list in devel subpackage.

Revision 1.40  2001/02/01 16:04:02  kloczek
- adapterized and few cosmetics.

Revision 1.39  2001/02/01 14:44:52  misiek
- 1.0.9. stb

Revision 1.38  2001/01/25 20:03:24  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.37  2000/12/23 00:48:45  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.36  2000/12/14 21:00:42  kloczek
- make %{debug} ready.

Revision 1.35  2000/12/14 16:39:15  baggins
- release 7
- fixed use of RPM_OPT_FLAGS

Revision 1.34  2000/12/12 18:40:25  kloczek
- relase 6: merge SuSe badchunks patch.

Revision 1.33  2000/11/22 15:32:00  kloczek
- release 5: revert MMX support on i586, i686 (seems not stable).

Revision 1.32  2000/11/18 22:55:11  kloczek
- release 4.

Revision 1.31  2000/11/17 17:46:57  bszx
- mmx is used on i586 and i686
- subpackage progs added

Revision 1.30  2000/10/19 03:17:33  kloczek
- release 3, Epoch 2.

Revision 1.29  2000/10/19 02:27:24  kloczek
- release 2: use new rpm automation.

Revision 1.28  2000/07/25 05:23:14  kloczek
- updated to 1.0.8.

Revision 1.27  2000/07/02 19:44:17  kloczek
- updated to 1.0.7.

Revision 1.26  2000/06/09 07:23:24  kloczek
- added using %{__make} macro.

Revision 1.25  2000/06/07 03:14:18  kloczek
- spec adapterized.

Revision 1.24  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.22  2000/03/21 10:43:17  kloczek
- updated to 1.0.6.

Revision 1.21  1999/10/17 22:32:13  kloczek
- updated to 1.0.5.

Revision 1.20  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).
